[% META title="Le Bricioline, formicaio in costruzione" %]
[% page_title = "Formicaio \"" _ new_ant_nest_details.proposed_name _
"\" (" _ Catalyst.session.current_ant_nest_id _ ")" %]

[% SET role = 'home_ant_' _ Catalyst.session.current_ant_nest_id; %]

<p>Ciao, [% Catalyst.user.name %]</p>
	
[%  IF Catalyst.check_user_roles(role) %]
 [% IF new_ant_nest_details.state == 10 %]
	<p>sto aspettando altri fondatori... perché non provi a iscrivere altri tuoi amici?</p>
 [% ELSIF new_ant_nest_details.state == 20 %]
	<p>alcuni fondatori non mi hanno ancora confermato il loro
indirizzo di posta, se li conosci ricordaglielo, altrimenti tra poco
saranno cancellati</p>
 [% ELSIF new_ant_nest_details.state == 40 %]	
	<p>alcuni fondatori non mi hanno ancora dato i loro dati
personali. Ti sei ricordato tu stesso di farlo?</p>
 [% ELSIF new_ant_nest_details.state == 50 %]	
	<p>sto aspettando che tutti mi diate la vostra fiducia verso
gli altri fondatori</p>
 [% ELSIF new_ant_nest_details.state == 60 %]	
	<p>ho bisogno di conoscere le vostre candidature...</p>
 [% ELSIF new_ant_nest_details.state == 70 %]	
	<p>é ora di votare!</p>
 [% ELSIF new_ant_nest_details.state == 80 %]	
	<p>sto aspettando che il neo eletto capo formicaio e tesoriere
compilino la scheda iniziale del formicaio.</p>
 [% ELSIF new_ant_nest_details.state == 90 %]	
	<p>questo formicaio è pronto e creato</p>
 [% ELSE %]
	<p>c'è qualcosa di strando, per favore contatta
postmaster@bricioline.it e comunica questo messaggio: "STATO NON
CONOSCIUTO PER IL FORMICAIO [% Catalyst.session.current_ant_nest_id %]"</p>
 [% END %]
[% ELSE %]

<p>Gentile utente,
</p>

<p>Il formicaio al cap [% Catalyst.session.current_ant_nest_id %] è attualmente in fase
di costruzione.</p>

[% IF new_ant_nest_details.state != 10 %]

   [% IF new_ant_nest_details.confirmed_founders_count != new_ant_nest_details.founders_count %]

<p>Questo formicaio non accetta più iscrizioni, ma sto aspettando che
alcuni fondatori confermino ancora il loro indirizzo di posta. Se
questi fondatori non confermeranno la loro mail entro 24 ore saranno
cancellati e questo formicaio potrà accettare ancora fondatori.
</p>

   [% ELSE %]

<p>Esso ora non accetta più iscrizioni per fondatori, perché li ha già
raccolti tutti. Puoi tornare ogni tanto su questa pagina per vedere se
viene creato oppure ti puoi iscrivere come "spettatore", sarai
informato non appena il formicaio entrerà in funzione.
</p>

<p>È anche possibile che per qualche motivo la costruzione del
formicaio abortisca e quindi si dovrà ricominciare daccapo. Anche in
quel caso, se ti iscrivi come spettatore, sarai informato. A quel
punto potrai anche provare a costruirlo tu stesso.
</p>

   [% END %]

[% ELSE %]

   [% IF new_ant_nest_details.founders_count == 0 %]

<p> Il formicaio [% new_ant_nest_details.proposed_name %] non ha
ancora una persona volenterosa di fondarlo.
</p>

   [% ELSE %]

     [% IF new_ant_nest_details.founders_count == 1 %]

<p>
Il formicaio [% new_ant_nest_details.proposed_name %] ha solo un
fondatore. Me ne mancano altri 4 per poter procedere alla procedura di
creazione.
</p>

     [% ELSE %]

<p>
Il formicaio [% new_ant_nest_details.proposed_name %] ha [%
new_ant_nest_details.founders_count %] fondatori prenotati. Me ne
mancano altri [% 5 - new_ant_nest_details.founders_count %] per poter
procedere alla procedura di creazione.
</p>

     [% END  %]


   [% END %]

[% END %]
[% END %]

<h2> Tabella di riassunto </h2>

<table class="property-table">

<tr>
	      <td class="property-even">CAP:</td>
<td class="value-even">
[% Catalyst.session.current_ant_nest_id %]
</td>
</tr>
<tr>
	      <td class="property-odd">Nome proposto:</td><td
	      class="value-odd">[% new_ant_nest_details.proposed_name %]</td>
</tr>


<tr>
	      <td class="property-even">Fondatori:</td><td
	      class="value-even">[%
	      new_ant_nest_details.founders_count %]</td>
</tr>
<tr>
	      <td class="property-odd">Spettatori: </td><td
	      class="value-odd">[% new_ant_nest_details.lookers_count %]</td>
</tr>

</table>



[% 
 IF Catalyst.check_user_roles(role) 
%]



[% 
    tb_name = "view_founders_summary";

    dataset = Catalyst.session.sack.founders_summary;

    fields = [
      {	
	db_name  => 'nick_or_name',
        pre_cell => '<a href="[' _ '% Catalyst.uri_for(\'/newusers/view_\') _ row.id_user  %' _ ']">',
        post_cell=> '</a>'
	out_name => "Nome:",
      },
      {
	db_name     => 'custom_cell',
	out_name    => "Stato:",
	custom_cell => '[' _ '% 
IF row.id_status == 10 ; 
\'<b>email non confermata<b>\'; 
ELSIF row.id_status == 20; 
\'<i>email confermata</i>\'; 
ELSIF row.id_status == 30; 
\'<b>mancano i dati personali</b>\'; 
ELSIF row.id_status == 40; 
\'<i>dati personali ricevuti</i>\'; 
ELSIF row.id_status == 50; 
\'<b>manca la rete di fiducia</b>\'; 
ELSIF row.id_status == 60; 
\'<i>rete di fiducia presente</i>\'; 
ELSIF row.id_status == 70; 
\'<b>manca candidatura</b>\'; 
ELSIF row.id_status == 80; 
\'<i>scelta candidatura fatta</i>\'; 
ELSIF row.id_status == 110; 
\'<i>deve aspettare</i>\'; 
ELSIF row.id_status == 120; 
\'<b>il capo deve darmi la sede!</b>\'; 
ELSIF row.id_status == 130; 
\'<i>il tesoriere aspetta il capo formicaio</i>\'; 
ELSIF row.id_status == 140; 
\'<b>aspetto che si colleghi il tesoriere</b>\'; 
ELSIF row.id_status == 150; 
\'<i>il capo o il tesoriere ha fatto il suo dovere!</i>\'; 
ELSIF row.id_status == 160; 
\'<i>ok, tutto fatto, questa formica ora è creata ed attiva!</i>\'; 
END;
%' _ ']',
      },
      ];


	
%]

[% IF sorted_tables.$tb_name == "" %]
[% sorted_tables.$tb_name = "nick_or_name" %]
[% END %]

<h2>I fondatori di questo formicaio: </h2>

[% PROCESS sortable_dataset_table.tt %]

[% END %]